Get Job Log Exception Stacktrace
curl --request GET \
--url http://{host}:{port}/{contextPath}/history/job-log/{id}/stacktrace \
--header 'Authorization: Basic <encoded-value>'import requests
url = "http://{host}:{port}/{contextPath}/history/job-log/{id}/stacktrace"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('http://{host}:{port}/{contextPath}/history/job-log/{id}/stacktrace', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"java.lang.RuntimeException: A exception message!\n at org.camunda.bpm.pa.service.FailingDelegate.execute(FailingDelegate.java:10)\n at org.camunda.bpm.engine.impl.delegate.JavaDelegateInvocation.invoke(JavaDelegateInvocation.java:34)\n at org.camunda.bpm.engine.impl.delegate.DelegateInvocation.proceed(DelegateInvocation.java:37)\n ..."{
"type": "<string>",
"message": "<string>",
"code": 123
}Historic Job Log
Get Job Log Exception Stacktrace
Retrieves the corresponding exception stacktrace to the passed historic job log by id.
GET
/
history
/
job-log
/
{id}
/
stacktrace
Get Job Log Exception Stacktrace
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The id of the historic job log to get the exception stacktrace for.
Response
Request successful.
Returns the stacktrace of the exception for the historic job with the given ID.
⌘I